Libosmium: osmium::io::GzipDecompressor Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::io::GzipDecompressor Class Referencefinal

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::io::GzipDecompressor:
[legend]
Collaboration diagram for osmium::io::GzipDecompressor:
[legend]

## Public Member Functions
| GzipDecompressor (const int fd)
| GzipDecompressor (const GzipDecompressor &)=delete
GzipDecompressor & | operator= (const GzipDecompressor &)=delete
| GzipDecompressor (GzipDecompressor &&)=delete
GzipDecompressor & | operator= (GzipDecompressor &&)=delete
| ~GzipDecompressor () noexcept override
std::string | read () override
void | close () override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes
gzFile | m_gzfile = nullptr
int | m_fd

## Additional Inherited Members
Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Constructor & Destructor Documentation

## ◆ GzipDecompressor() [1/3]

osmium::io::GzipDecompressor::GzipDecompressor | ( | const int | fd | ) |
| inlineexplicit

## ◆ GzipDecompressor() [2/3]

osmium::io::GzipDecompressor::GzipDecompressor | ( | const GzipDecompressor & |  | ) |
| delete

## ◆ GzipDecompressor() [3/3]

osmium::io::GzipDecompressor::GzipDecompressor | ( | GzipDecompressor && |  | ) |
| delete

## ◆ ~GzipDecompressor()

osmium::io::GzipDecompressor::~GzipDecompressor | ( |  | ) |
| inlineoverridenoexcept

## Member Function Documentation

## ◆ close()

void osmium::io::GzipDecompressor::close | ( |  | ) |
| inlineoverridevirtual

Implements osmium::io::Decompressor.

## ◆ operator=() [1/2]

GzipDecompressor & osmium::io::GzipDecompressor::operator= | ( | const GzipDecompressor & |  | ) |
| delete

## ◆ operator=() [2/2]

GzipDecompressor & osmium::io::GzipDecompressor::operator= | ( | GzipDecompressor && |  | ) |
| delete

## ◆ read()

std::string osmium::io::GzipDecompressor::read | ( |  | ) |
| inlineoverridevirtual

Implements osmium::io::Decompressor.

## Member Data Documentation

## ◆ m_fd

int osmium::io::GzipDecompressor::m_fd
| private

## ◆ m_gzfile

gzFile osmium::io::GzipDecompressor::m_gzfile = nullptr
| private

The documentation for this class was generated from the following file:

- include/osmium/io/gzip_compression.hpp